Subject: Re: [EGIT PATCH 00/20] PackWriter, first usable attempt

From: Marek Zawirski <[email-masked]>
Date: Mon, 16 Jun 2008 18:37:18 +0200

Shawn O. Pearce wrote:
> Marek Zawirski <[email-masked]> wrote:
>> At first, some stuff was still missing to produce packs, mostly
>> raw-data access related and ObjectWalk related.
> 
> I'm glad it turned out to be so little missing actually.  Reusing
> ObjectWalk saved a lot of code in the pack writer, and for the most
> part our existing data access structures were already well organized.

Yeah, I actually expected that this feature implementation would cause 
more changes. But existence of transport and rev-walking frameworks in 
jgit helped a lot. Jgit code changed significantly between my first look 
at it (march/april) and GSoC start date.

(...)
>> Finally, we've got some support for pack writing! It's not that
>> power that C git version offers, but something usable. Delta
>> generation is not supported. Although we can reuse deltas and objects,
>> and support all other (I hope) options of git-pack-objects directly or
>> indirectly, most importantly --thin.
>>
>> Pack writing and some other features are tested, seem to work.
>>
>> This implementation of packing is not a very valuable thing directly
>> (achieving efficient storage), however it's a base for enhancements
>> and can be used for sending packs over net (with some assumptions).
>> It's more a "repacking" than "packing" tool.
> 
> Yup.  The critical part here is jgit can now format a pack file,
> which means we can now actually implement native push over the
> local pipe (to fork+exec'd git-receive-pack) or over SSH.  That
> is one of the major missing features in the Eclipse plugin, so
> this is a huge milestone for us.  Thank you Marek.

Hey, I'm here for doing this, they even pay me for that fun;)

-- 
Marek Zawirski [zawir]
[email-masked]